org.apache.catalina.tribes.group.interceptors

## Interface ThroughputInterceptorMBean

- All Known Implementing Classes:
    ThroughputInterceptor

      public interface ThroughputInterceptorMBean

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInterval()`
    `double` | `getLastCnt()`
    `double` | `getMbAppTx()`
    `double` | `getMbRx()`
    `double` | `getMbTx()`
    `AtomicLong` | `getMsgRxCnt()`
    `AtomicLong` | `getMsgTxCnt()`
    `AtomicLong` | `getMsgTxErr()`
    `int` | `getOptionFlag()`
    `long` | `getRxStart()`
    `double` | `getTimeTx()`
    `long` | `getTxStart()`
    `void` | `report(double timeTx)`
    `void` | `setInterval(int interval)`

- - ### Method Detail

    - #### getOptionFlag

          int getOptionFlag()

    - #### getInterval

          int getInterval()

    - #### setInterval

          void setInterval(int interval)

    - #### getLastCnt

          double getLastCnt()

    - #### getMbAppTx

          double getMbAppTx()

    - #### getMbRx

          double getMbRx()

    - #### getMbTx

          double getMbTx()

    - #### getMsgRxCnt

          AtomicLong getMsgRxCnt()

    - #### getMsgTxCnt

          AtomicLong getMsgTxCnt()

    - #### getMsgTxErr

          AtomicLong getMsgTxErr()

    - #### getRxStart

          long getRxStart()

    - #### getTimeTx

          double getTimeTx()

    - #### getTxStart

          long getTxStart()

    - #### report

          void report(double timeTx)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.